SHA-1 deprecation deadline

Have you recently noticed that some of the secure websites that you frequent might have stopped working when you attempt to access them with older browsers?

December 31, 2015 was the last day that older SHA-1 certificates were accepted by many browsers, notably they must use SHA-2 for the following, older versions will see a rather unfriendly error indicating that they cannot connect to the website.

  • Microsoft Edge
  • Firefox 37+
  • Chrome 39+

You might wonder why this has occurred… it primarily comes down to risk, there were known weaknesses in the SHA-1 algorithm that can now be exploited rather cheaply on readily available hardware.

REFERENCES:

Leave a Reply